import jaggl.OpenGL;
import java.awt.Canvas;
import java.awt.Dimension;

public class Class151_Sub2_Sub2_Sub1 extends Class151_Sub2_Sub2 {

   long aLong10678;
   OpenGL anOpenGL10679;
   Canvas aCanvas10680;
   int anInt10681;
   int anInt10682;


   public int method2746() {
      return this.anInt10682;
   }

   Class151_Sub2_Sub2_Sub1(Class545_Sub2_Sub2 var1, Canvas var2, long var3) {
      super(var1);
      this.aCanvas10680 = var2;
      this.anOpenGL10679 = var1.anOpenGL10338;
      this.aLong10678 = var3;
      this.method16552();
   }

   public int method2742() {
      return this.anInt10682;
   }

   public int method14948() {
      this.anOpenGL10679.swapBuffers(this.aLong10678);
      return 0;
   }

   boolean method149() {
      return this.anOpenGL10679.setSurface(this.aLong10678) && super.method154();
   }

   void method16552() {
      Dimension var1 = this.aCanvas10680.getSize();
      this.anInt10682 = var1.height;
      this.anInt10681 = var1.width;
   }

   public int method14944() {
      this.anOpenGL10679.swapBuffers(this.aLong10678);
      return 0;
   }

   public int method14945(int var1, int var2) {
      return 0;
   }

   void method16553() {
      Dimension var1 = this.aCanvas10680.getSize();
      this.anInt10682 = var1.height;
      this.anInt10681 = var1.width;
   }

   boolean method2748() {
      return true;
   }

   public void method10() {
      this.anOpenGL10679.releaseSurface(this.aCanvas10680, this.aLong10678);
   }

   public int method2747() {
      return this.anInt10681;
   }

   public int method2744() {
      return this.anInt10681;
   }

   public int method2745() {
      return this.anInt10682;
   }

   boolean method2743() {
      return true;
   }

   void method16554() {
      Dimension var1 = this.aCanvas10680.getSize();
      this.anInt10682 = var1.height;
      this.anInt10681 = var1.width;
   }

   void method14947(int var1, int var2) {
      this.anOpenGL10679.surfaceResized(this.aLong10678);
      this.method16552();
      super.method14947(var1, var2);
   }

   void method14946(int var1, int var2) {
      this.anOpenGL10679.surfaceResized(this.aLong10678);
      this.method16552();
      super.method14947(var1, var2);
   }

   boolean method154() {
      return this.anOpenGL10679.setSurface(this.aLong10678) && super.method154();
   }

   public void method150() {
      this.anOpenGL10679.releaseSurface(this.aCanvas10680, this.aLong10678);
   }

   public void method148() {
      this.anOpenGL10679.releaseSurface(this.aCanvas10680, this.aLong10678);
   }

   public int method14949(int var1, int var2) {
      return 0;
   }

   Class151_Sub2_Sub2_Sub1(Class545_Sub2_Sub2 var1, Canvas var2) {
      this(var1, var2, var1.anOpenGL10338.prepareSurface(var2));
   }

   public int method2741() {
      return this.anInt10681;
   }
}
